
%--------------------------------------------------------------------------
%% Flow Model
%--------------------------------------------------------------------------
dat=load('../data/Whittier_WHaw_flowvector_reformatted.txt');
x0=793000; y0=2120400;  z0=0; nx=475; ny=475; nz=4; dx=95000/nx; dy=95000/ny; dz=4/nz;
dat=load('../data/Whittier_BI_flowvector_reformatted.txt');
x0=806000; y0=2091000;  z0=49.5235; nx=272; ny=310; nz=3; dx=136000/nx; dy=155000/ny; dz=1000/nz;

nn=nx*ny*nz;
x=zeros(nx*ny,1); y=x; z=x;
y1=y0+dy*ny;
n=0;
for i=1:ny;
for j=1:nx;
    n=n+1;
    x(n)=x0+dx/2+(j-1)*dx;
    y(n)=y1-dy/2-(i-1)*dy;
end
end

vx=zeros(nx*ny,1); vy=vx;
for lyr=1:nz;
vx=vx+dat((lyr-1)*n+1:lyr*n,2); vy=vy+dat((lyr-1)*n+1:lyr*n,3);
end;
vx=vx./nz; vy=vy./nz;
X=reshape(x,nx,ny)'; Y=reshape(y,nx,ny)';
Vx=reshape(vx,nx,ny)'; Vy=reshape(vy,nx,ny)';


