clc
clear

load COMBINED_3sub_GRAV3d.mat


Z_LVL=-10500;    
    Z_LVL_i=find(Z == Z_LVL);

figure(1)
clf

subplot(4,8,1:3)
y_inc_2a=find(Y2_G(:,1,1)==2514000);
y_inc_3a=find(Y3_G(:,1,1)==2514000);
plot(X2_G((y_inc_2a),:,Z_LVL_i),D2_G((y_inc_2a),:,Z_LVL_i),'g')
hold on
plot(X3_G((y_inc_3a),:,Z_LVL_i),D3_G((y_inc_3a),:,Z_LVL_i),'r')
xlim([2e5 11e5])
ylabel('Density Contrast (g/cc)')

subplot(4,8,9:11)
y_inc_2d=find(Y2_G(:,1,1)==2444000);
y_inc_3d=find(Y3_G(:,1,1)==2444000);
plot(X2_G((y_inc_2d),:,Z_LVL_i),D2_G((y_inc_2d),:,Z_LVL_i),'g')
hold on
plot(X3_G((y_inc_3d),:,Z_LVL_i),D3_G((y_inc_3d),:,Z_LVL_i),'r')
xlim([2e5 11e5])
ylabel('Density Contrast (g/cc)')

subplot(4,8,17:19)
y_inc_1b=find(Y1_G(:,1,1)==2315000);
y_inc_2b=find(Y2_G(:,1,1)==2315000);
y_inc_3b=find(Y3_G(:,1,1)==2315000);
plot(X1_G((y_inc_1b),:,Z_LVL_i),D1_G((y_inc_1b),:,Z_LVL_i),'b')
hold on
plot(X2_G((y_inc_2b),:,Z_LVL_i),D2_G((y_inc_2b),:,Z_LVL_i),'g')
plot(X3_G((y_inc_3b),:,Z_LVL_i),D3_G((y_inc_3b),:,Z_LVL_i),'r')
xlim([2e5 11e5])
ylabel('Density Contrast (g/cc)')

subplot(4,8,25:27)
y_inc_1c=find(Y1_G(:,1,1)==2345000);
y_inc_2c=find(Y2_G(:,1,1)==2345000);
y_inc_3c=find(Y3_G(:,1,1)==2345000);
plot(X1_G((y_inc_1c),:,Z_LVL_i),D1_G((y_inc_1c),:,Z_LVL_i),'b')
hold on
plot(X2_G((y_inc_2c),:,Z_LVL_i),D2_G((y_inc_2c),:,Z_LVL_i),'g')
plot(X3_G((y_inc_3c),:,Z_LVL_i),D3_G((y_inc_3c),:,Z_LVL_i),'r')
xlim([2e5 11e5])
ylabel('Density Contrast (g/cc)')

subplot(4,8,[4 28])
x_inc_2a=find(X2_G(1,:,1)==726000);
x_inc_1a=find(X1_G(1,:,1)==726000);
plot(D2_G(:,x_inc_2a,Z_LVL_i),Y2_G(:,x_inc_2a,Z_LVL_i),'g')
hold on
plot(D1_G(:,x_inc_1a,Z_LVL_i),Y1_G(:,x_inc_1a,Z_LVL_i),'b')
xlabel('Density Contrast (g/cc)')

contrast=.3;

subplot(4,8,[5:8 29:32])
p3=patch(isosurface(X_G, Y_G, Z_G,D3_G_pad,contrast));
%isonormals(X3,Y3,Z3,D3_G,p3)
set(p3,'FaceColor','blue','EdgeColor','none');
hold on
    %p3o=patch(isosurface(X3_G, Y3_G, Z3_G,D3_G_old,-100));
    %set(p3o,'FaceColor','red','EdgeColor','none');
p2=patch(isosurface(X_G, Y_G, Z_G,D2_G_pad,contrast));
%isonormals(X2,Y2,Z2,D2_G,p2)
set(p2,'FaceColor','red','EdgeColor','none');
    %p2o=patch(isosurface(X2_G, Y2_G, Z2_G,D2_G_old,-100));
    %set(p2o,'FaceColor','blue','EdgeColor','none');
p1=patch(isosurface(X_G, Y_G, Z_G,D1_G_pad,contrast));
%isonormals(X1,Y1,Z1,D1_G,p1)
set(p1,'FaceColor','green','EdgeColor','none');
    %p1o=patch(isosurface(X1_G, Y1_G, Z1_G,D1_G_old,-100));
    %set(p1o,'FaceColor','green','EdgeColor','none');

daspect([1,1,1])
camlight 
lighting gouraud

size_D1=size(D1_G);
size_D2=size(D2_G);
size_D3=size(D3_G);

h=surf(X1_G(:,:,Z_LVL_i),Y1_G(:,:,Z_LVL_i),Z_LVL*ones(size_D1(1),size_D1(2)),D1_G(:,:,Z_LVL_i))
set(h,'EdgeColor','none')
h=surf(X2_G(:,:,Z_LVL_i),Y2_G(:,:,Z_LVL_i),Z_LVL*ones(size_D2(1),size_D2(2)),D2_G(:,:,Z_LVL_i))
set(h,'EdgeColor','none')
h=surf(X3_G(:,:,Z_LVL_i),Y3_G(:,:,Z_LVL_i),Z_LVL*ones(size_D3(1),size_D3(2)),D3_G(:,:,Z_LVL_i))
set(h,'EdgeColor','none')
col = jet(1024);
colormap(col)
caxis([-.3 .3])
%alpha(.2)

plot([min(X3_G((y_inc_3a),:,Z_LVL_i)),max(X3_G((y_inc_3a),:,Z_LVL_i))],...
    [2514000,2514000],'r');
plot([min(X2_G((y_inc_2a),:,Z_LVL_i)),max(X2_G((y_inc_2a),:,Z_LVL_i))],...
    [2514000,2514000],'g');

plot([min(X3_G((y_inc_3d),:,Z_LVL_i)),max(X3_G((y_inc_3d),:,Z_LVL_i))],...
    [2444000,2444000],'r');
plot([min(X2_G((y_inc_2d),:,Z_LVL_i)),max(X2_G((y_inc_2d),:,Z_LVL_i))],...
    [2444000,2444000],'g');

plot([min(X3_G((y_inc_3b),:,Z_LVL_i)),max(X3_G((y_inc_3b),:,Z_LVL_i))],...
    [2315000,2315000],'r');
plot([min(X2_G((y_inc_2b),:,Z_LVL_i)),max(X2_G((y_inc_2b),:,Z_LVL_i))],...
    [2315000,2315000],'g');
plot([min(X1_G((y_inc_1b),:,Z_LVL_i)),max(X1_G((y_inc_1b),:,Z_LVL_i))],...
    [2315000,2315000],'b');

plot([min(X3_G((y_inc_3c),:,Z_LVL_i)),max(X3_G((y_inc_3c),:,Z_LVL_i))],...
    [2345000,2345000],'r');
plot([min(X2_G((y_inc_2c),:,Z_LVL_i)),max(X2_G((y_inc_2c),:,Z_LVL_i))],...
    [2345000,2345000],'g');
plot([min(X1_G((y_inc_1c),:,Z_LVL_i)),max(X1_G((y_inc_1c),:,Z_LVL_i))],...
    [2345000,2345000],'b');


plot([726000,726000],[min(Y2_G(:,x_inc_2a,Z_LVL_i)),max(Y2_G(:,x_inc_2a,Z_LVL_i))],'g')
plot([726000,726000],[min(Y1_G(:,x_inc_1a,Z_LVL_i)),max(Y1_G(:,x_inc_1a,Z_LVL_i))],'b')

