%========================================================================
% Contour resistivities
%========================================================================

clear
d=load('MT_resistivities.xzr');

x=d(:,1); z=d(:,2); 
nz=22;
nx=length(x)/nz;
X=reshape(x,nz,nx);
Z=reshape(z,nz,nx);
rho=reshape(d(:,3),nz,nx);
contourf(X,Z,log10(rho));
%pcolor(X,Z,rho); shading('interp');
%set(gca,'YDIR','Reverse'); 
colorbar
%caxis([0 5000]);
