opengl software;
clc
clear

load COMBINED_3sub_GRAV3d.mat
%%%%%%%%%%%%%%%%

CUT_OFF=.3;
Z_LVL=-15500;  

[D_MEAN_GRID]=nanmean3Dx3(D1_G_pad, D2_G_pad, D3_G_pad);
    Z_LVL_i=find(Z == Z_LVL);

f=figure(1);
clf
p0=patch(isosurface(X_G, Y_G, Z_G,D_MEAN_GRID,CUT_OFF));
set(p0,'FaceColor','blue','EdgeColor','none');
%xlim([X_MIN X_MAX])
%ylim([Y_MIN Y_MAX])
daspect([1,1,1])
camlight 
lighting gouraud
view(3);
alpha(1)
hold on
    size_D=size(D_MEAN_GRID)
h=surf(X_G(:,:,Z_LVL_i),Y_G(:,:,Z_LVL_i),Z_LVL*ones(size_D(1),size_D(2)),D_MEAN_GRID(:,:,Z_LVL_i))
set(h,'EdgeColor','none')
col = jet(1024);
colormap(col)
caxis([-CUT_OFF CUT_OFF])
%alpha(.2)



%%%%%%%%%%%
if (0)
dem=load('/Users/ashtonflinders/Desktop/Z_tmp_GRAV3d/TOPO_PORTION_ALL_1km_M500.xyz');
lon=(min(dem(:,1)):(dem(2,1)-dem(1,1)):max(dem(:,1)));
lat=fliplr((min(dem(:,2)):(dem(2,1)-dem(1,1)):max(dem(:,2))));

[LON LAT]=meshgrid(lat, lon);

Z_map=reshape(dem(:,3),1638, 1338);

%figure(5)
%clf
%[C, h]=contour(LAT,LON,Z_map,[0 0],'k')

%p0=patch(isosurface(X_G, Y_G, Z_G,D_MEAN_GRID,CUT_OFF-.1));
%set(p0,'FaceColor','blue','EdgeColor','none');
%xlim([X_MIN X_MAX])
%ylim([Y_MIN Y_MAX])
%alpha(.5)
end;

