%=====================================================================
clear

clmg=[15:500];

clmgcrit=15;

a=log(clmg/clmgcrit)/2;

w0=-2.1972
w=1.*abs(w0);
w02=-2.9444;
w2=w+0.7*(w0-w02);

Pr=[1+exp(-w0-w.*a)].^-1;
Pr2=[1+exp(-w02-w2.*a)].^-1;

figure(1);clf;
subplot('position',[0.08 0.6 0.4 0.2])
plot(clmg,a);
xlabel('Cl/Mg')
ylabel('a');

subplot('position',[0.08 0.34 0.4 0.2])
plot(clmg,Pr); hold on;
plot(clmg,Pr2,'r--');
xlabel('Cl/Mg')
ylabel('Pr(heat)');
