%=====================================================================
% Converts a list of coords to UTM zone 4
%=====================================================================
clear;
dat=load('convd2u.in');
n=length(dat);
out=zeros(n,4);
for k=1:n;
    [x y]=d2u(dat(k,1),dat(k,2),'4');
    out(k,:)=[dat(k,1) dat(k,2) x y]; 
end

fid=fopen('convd2u.out','w');
fprintf(fid,'%10.6f %10.6f %9.0f %9.0f \n',out');
fclose(fid);
