%=========================================================================
% Computes weighted average (prior) probability from estimates provided by
% experts
%
%Suggested by N. Frazer 9/15
%rows are for Dave, Nicole, Nick, Don 
%=========================================================================
yrs = [[1 10 10 42]' [1 2 10 37]' [1 2 10 42]'];
yr0=10;
weights0=[1 3 7 10]; weights0=weights0./sum(weights0);
weights_all=1-exp(-yrs./yr0);
weights_all=log(1+yrs);
weights=zeros(4,1);

pestim=[[1 2 10 10]' [10 2 10 30]' [20 10 90 90]']/100;
lpestim=log(pestim./(1-pestim));

for k=1:3
weights(:,k)=weights_all(:,k)./sum(weights_all(:,k));

lpmean(k)=weights(:,k)'*lpestim(:,k);
end;
pmean=1./(1+exp(-lpmean))

t=[0:0.1:50];
figure(1);clf
plot(t,1-exp(-t./yr0),'k--',t,log(1+t)./max(log(1+t)))