%=========================================================================
% Computes statistics on subareal residual gravity
%========================================================================
dat=load('../data/residual_subaerial.llre');

meddat=median(dat(:,3));
mad=1.482*median(abs(dat(:,3)-meddat));
disp(['Median, MAD=' num2str([meddat mad])]);

figure(1); clf;
hist(dat(:,3),100);
xlabel('RGA (mGal)')


