%=========================================================================
% gravstats
%
% transformed gravity is now residual times exponential age decay
% This routine computes statistics from each for each island
%=========================================================================
%if (exist('junk', 'var')==0);
clear
format long
!gmtset D_FORMAT %.10f
!grd2xyz BI/BI_arift.grd -S >! junk
%!grd2xyz MN/MN_arift.grd -S >> junk
!grd2xyz Oahu/Oahu_arift.grd -S >> junk
%!grd2xyz Kauai/Kauai_arift.grd -S >> junk

load junk;
%end;
d=junk(:,3);
dmin=1e-6;
%ii=find(d >= 1.0);
%d(ii)=1-dmin;
ii=find(d > dmin);
d1=d(ii);
ad=d1;
%ad=-log(1./d1-1);
%ad=-log(1./d1);
%ad=log(d1);

mina=min(ad)
maxa=max(ad)
meda=median(ad)

mad=1.482*median(abs(ad-meda))

n=length(ad)
nmad=length(find(abs(ad-meda)<mad))/n

figure(1); clf;
hist(ad,100);
