function [izone,cmerid] = utm_zone(lon);
%
% [izone,cmerid] = utm_zone(lon);
% 
% UTMZONE returns the UTM Zone and Central Meridian
% appropriate for the give longitude. 
%

izone = 1 + floor((lon + 180.)/6.0);
cmerid = 6.*(izone - 1) + 3 - 180.;
