
%=====================================================================
% Computes UTM coordinates for and adds them to water chemistry data table 
%=====================================================================
clear;
dat=load('../data/Waterdatabaserev4_reformatted.txt');
n=length(dat);
out=zeros(n,18);
for k=1:n;
    [x y]=d2u(-dat(k,1),dat(k,2),'4');
    out(k,:)=[x y dat(k,:)]; 
end

fid=fopen('Waterdata_with_utm.txt','w');
fprintf(fid,'%9.0f %9.0f %10.6f %10.6f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f %6.2f\n',out');
fclose(fid);