function [D_GRID X_GRID Y_GRID Z_GRID X Y Z] = GRV3d2volume(mesh_pnt, d_pnt);

%clc
%clear

%mesh_pnt='/Users/ashtonflinders/ZEBRA/LOCAL_PROJECTS/GRAV3D/P7/RES_2600_2300_b_250_MEAN/PORTION_3/PORTION_3_1km_MESH.mesh'

[FLAG NUM_CELLS]=system(['awk ''NR == 1 {print $0}'' ' mesh_pnt]);
    NUM_CELLS=str2num(NUM_CELLS);
[FLAG BOUNDS]=system(['awk ''NR == 2 {print $0}'' ' mesh_pnt]);
    BOUNDS=str2num(BOUNDS);
% Probably a better way to do this than implementing awk, but I dont know
% how to search and print a specific line in just awk......
[FLAG X_SPAN]=system(['sed ''s/*/ /g'' ' mesh_pnt '| awk ''NR == 3 {print $0}''']);
[FLAG Y_SPAN]=system(['sed ''s/*/ /g'' ' mesh_pnt '| awk ''NR == 4 {print $0}''']);
[FLAG Z_SPAN]=system(['sed ''s/*/ /g'' ' mesh_pnt '| awk ''NR == 5 {print $0}''']);
    X_SPAN=str2num(X_SPAN);
    Y_SPAN=str2num(Y_SPAN);
    Z_SPAN=str2num(Z_SPAN);

X_ORIGIN=BOUNDS(1)
    X_STEP=X_SPAN(2)
    X_LENGTH=NUM_CELLS(1)

X=[X_ORIGIN+X_STEP:X_STEP:X_STEP*(X_LENGTH)+X_ORIGIN];    
    
Y_ORIGIN=BOUNDS(2)
    Y_STEP=Y_SPAN(2)
    Y_LENGTH=NUM_CELLS(2)

Y=[Y_ORIGIN+Y_STEP:Y_STEP:Y_STEP*(Y_LENGTH)+Y_ORIGIN];    
    
    
Z_ORIGIN=BOUNDS(3)
    Z1_STEP=-Z_SPAN(2);
    Z1_LENGTH=Z_SPAN(1);

    Z1=[Z_ORIGIN+Z1_STEP:Z1_STEP:Z1_STEP*(Z1_LENGTH)+Z_ORIGIN];

    Z2_STEP=-Z_SPAN(4);
    Z2_LENGTH=Z_SPAN(3);
    
    Z2_ORIGIN=min(Z1);
    Z2=[Z2_ORIGIN+Z2_STEP:Z2_STEP:Z2_STEP*(Z2_LENGTH)+Z2_ORIGIN];
    
    Z3_STEP=-Z_SPAN(6);
    Z3_LENGTH=Z_SPAN(5);
    
    Z3_ORIGIN=min(Z2);
    Z3=[Z3_ORIGIN+Z3_STEP:Z3_STEP:Z3_STEP*(Z3_LENGTH)+Z3_ORIGIN];
    
    Z4_STEP=-Z_SPAN(8);
    Z4_LENGTH=Z_SPAN(7);
    
    Z4_ORIGIN=min(Z3);
    Z4=[Z4_ORIGIN+Z4_STEP:Z4_STEP:Z4_STEP*(Z4_LENGTH)+Z4_ORIGIN];
    
    
    
    Z=[Z1 Z2 Z3 Z4];

%D=load('/Users/ashtonflinders/ZEBRA/LOCAL_PROJECTS/GRAV3D/P7/RES_2600_2300_b_250_MEAN/PORTION_3/P3_chifact_p3/gzinv3d.den');
D=load(d_pnt);
D_GRID=reshape(D,length(Z),length(X),length(Y));


[X_GRID Y_GRID Z_GRID]=meshgrid(X,Y,Z);
D_GRID=permute(D_GRID,[3 2 1]);



%{
f=figure(2)
clf
p=patch(isosurface(X_GRID, Y_GRID, Z_GRID,D_GRID,.35));
xlim([X_ORIGIN X_STEP*(X_LENGTH)+X_ORIGIN])
ylim([Y_ORIGIN Y_STEP*(Y_LENGTH)+Y_ORIGIN])
zlim([Z(length(Z)) Z(1)])

%get(gca,'Xtick',[0:50:500])

isonormals(X,Y,Z,D_GRID,p)
set(p,'FaceColor','red','EdgeColor','none');
daspect([1,1,1])
%view(3); axis tight
camlight 
lighting gouraud

%}