%========================================================================
% Creates coordinates of MODFLOW cell locations
%========================================================================
x0=793000; y0=2120400;  z0=0;
nx=475; ny=475; nz=4; nn=nx*ny;
dx=95000/nx; dy=95000/ny; dz=4/nz;
y1=y0+ny*dy;
out=zeros(nn,5);
n=0;
z=0;
for j=1:ny;
    j
for i=1:nx;
    x=x0+dx/2+(i-1)*dx;
    y=y1-dy/2-(j-1)*dy;
    n=n+1;
    [lon lat]=u2d(x,y,4);
    out(n,:)=[x y z lon lat];    
end
end

fid=fopen('Modflow_coords_WHawaii.xyzll','w')
fprintf(fid,'%5.0f %5.0f %3.0f %10.3f %10.3f \n', out');
fclose(fid);
