%========================================================================
% Plot vectors of MOdflow output
%========================================================================


if(0);
clear; 
dat=load('Whittier_Velocity_vectors_edited.txt');
coords=load('Modflow_coords_WHawaii.xyzll');
end;

nx=475; ny=475; n=nx*ny;
n=length(dat);
n=145825;
nx=145825/ny;
dq=10;

vx=dat(1:n,1); vy=dat(1:n,2);
v=sqrt(vx.^2+vy.^2);
ii=find(v>0);
lon=coords(1:n,5); lat=coords(1:n,4);
x=coords(1:n,1); y=coords(1:n,2);
X=reshape(x,ny,nx); Y=reshape(y,ny,nx);
Lon=reshape(lon,ny,nx); Lat=reshape(lat,ny,nx);
Vx=reshape(vx,ny,nx); Vy=reshape(vy,ny,nx);
jq=[1:dq:nx]; iq=[1:dq:ny];

%plot(lon,lat,'.'); hold on;
%plot(lon(ii),lat(ii),'k.');
coast=load('/Users/gito/Dropbox/classes/GG413/EDA_Lecture/Hawaii.dat');
figure(1); clf;
%quiver(X(iq,jq),Y(iq,jq),Vx(iq,jq),Vy(iq,jq))
plot(coast(:,1),coast(:,2),'b-'); hold on;
quiver(Lon(iq,jq)',Lat(iq,jq)',Vx(iq,jq)',Vy(iq,jq)','k');
xlabel('Longitude');
ylabel('Latitutde');