%------------------------------------------------------
% Gravity
%-----------------------------------------------------
Prc=Prc_grav;
file=load('data/residual_subaerial.llre');
d=file(:,3);
medd=median(d); madd=1.482*median(abs(d-medd));
!grd2xyz BI_new/BI_agrav.grd -S >! junk
!grd2xyz MN_new/MN_agrav.grd -S >> junk
!grd2xyz Oahu_new/Oahu_agrav.grd -S >> junk
!grd2xyz Kauai_new/Kauai_agrav.grd -S >> junk
load junk;
ad=junk(:,3);   %Transformed data after age decay
meda=median(ad);
mada=1.482*median(abs(ad-meda));
zd=(ad-meda)./mada;

n=length(ad);
nmad=length(find(abs(ad-meda)<mada))/n

zcrit0=zcrit_grav;       %Zero-age value
dcrit=medd+zcrit0*madd;  %Data value set based on zero-age data
zcrit=(dcrit-meda)/mada; %critcal z-value of transformed data
a=dcrit.*[-0.75:0.01:1.5]'; %range of zero-age gravity (also full range of transformed data)
z=(a-meda)/mada;           %z of transformed data (all ages)
w=(log(Prc/(1-Prc))-w0)./zcrit;
Pr=1./(1+exp(-w0-w.*z));
wfinal=w;

