%------------------------------------------------------
% Rift Zones
%-----------------------------------------------------
Prc=Prc_rift;
dmin=1e-10;
R=5;
%if (exist('junk','var')==0);
format long
!gmtset D_FORMAT %.6f
!grd2xyz BI_new/BI_arift.grd -S >! junk
!grd2xyz MN_new/MN_arift.grd -S >> junk 
!grd2xyz Oahu_new/Oahu_arift.grd -S >> junk
!grd2xyz Kauai_new/Kauai_arift.grd -S >> junk

load junk;
%end;

%figure(1); clf;

d=junk(:,3); dmin=1e-6;
ii=find(d >= 1.0); d(ii)=1.0;
jj=find(d > dmin); d=d(jj);
%ad=-log(1./d1-1);
ad=d;
meda=median(ad); mada=1.482*median(abs(ad-meda));
zd=(ad-meda)./mada;

d0=[0.0:0.1:10]; dcrit=0;
a0=exp(-d0./R);
acrit=exp(-dcrit./R);
zcrit=(acrit-meda)./mada;
z0=(a0-meda)./mada;

%a0=min([d0 ones(size(d0))]')';
w=(log(Prc/(1-Prc))-w0)./zcrit; %Solve for weight based on zcrit 
Pr=1./(1+exp(-w0-w.*z0));
wfinal(2)=w;

