%=======================================================================
% test different functions of "a" for Cl/Mg
%=======================================================================

clear;

clmg=[15:2000];


clmgref=15;
clmgnorm=clmgref;

a1=log((clmg./clmgnorm).^1.0);
a2=((clmg-clmgref)./clmgnorm);

pi=0.001;
w0=log(pi./(1-pi));
w=0.35.*abs(w0);
%w0=0; 
%w=1;

P1=(1+exp(-w0-w.*a1)).^(-1);
P2=(1+exp(-w0-w.*a2)).^(-1);

figure(1); 
clf;
hold on;
subplot(211);
plot(clmg,a1);
xlabel('clmg');
ylabel('a');
grid on;

subplot(212);
plot(clmg,P1,'b-',clmg,P2,'k-')
xlabel('Cl/Mg');
ylabel('Probability');
axis([0 2000 0 1]);
grid on;


