[Nx,Ny,Nz,Nv] = subvolume(X_G,Y_G,Z_G,D_MEAN_GRID,...
    [min(COORD_CUT(:,1)) max(COORD_CUT(:,1)) ...
    min(COORD_CUT(:,2)) max(COORD_CUT(:,2)) min(Z) max(Z)]);
 
    CUT_OFF=.3

    Nv_ind_a = find(Nv >= CUT_OFF);
    Nv_ind_b = find(Nv < CUT_OFF);
    
    Nv_B=Nv;
    
    Nv_B(Nv_ind_b)=0;
    Nv_B(Nv_ind_a)=1;
    Nv_B_size=size(Nv_B)

    %Z_LVL=Z(27)

for Z_inc=1:length(Z)
    f=figure(10);
    clf
    p0=patch(isosurface(Nx, Ny, Nz,Nv,CUT_OFF));
    set(p0,'FaceColor','green','EdgeColor','none');
    daspect([1,1,1])
    camlight
    lighting gouraud
    view(3); axis tight
    alpha(p0,.3)
    %col = jet(1024);
    %colormap(col)
    caxis([-.3 CUT_OFF])
    hold on
    
    Z_LVL=Z(Z_inc);
    Z_LVL_i=find(Z == Z_LVL);
   
    h=surf(Nx(:,:,Z_LVL_i),Ny(:,:,Z_LVL_i),Z_LVL*ones(Nv_B_size(1),Nv_B_size(2)),Nv_B(:,:,Z_LVL_i))
    contour(Nx(:,:,Z_LVL_i),Ny(:,:,Z_LVL_i),Nv_B(:,:,Z_LVL_i),[1])
    alpha(h,1)
    daspect([1,1,1])
    camlight
    lighting gouraud
    view(3); axis tight
    pause(1)
end