clc
clear

%load COMBINED_3sub_GRAV3d.mat
%[D_MEAN_GRID]=nanmean3Dx3(D1_G_pad, D2_G_pad, D3_G_pad);
%save('COMBINED_Inverted_Density.mat','X_G','Y_G','Z_G','D_MEAN_GRID');

%%%%%%%%%%%%%%%%
if (exist('D_MEAN_GRID','var')~=1);
    clear
    load ~gito/Big_Island_grav/Flinders/INVERSIONS/M_FILES/COMBINED_Inverted_Density.mat
    [lat,lon]=u2d(X_G,Y_G,'4N');
end;
Z=squeeze(Z_G(1,1,:));
CUT_OFF=.3;
Z_LVL=-15500;  
%Z_LVL=-9000.0;
Z_LVL_i=find(Z == Z_LVL);

f=figure(1);
clf
p0=patch(isosurface(lon, lat, Z_G,D_MEAN_GRID,CUT_OFF));
set(p0,'FaceColor','blue','EdgeColor','none');
%xlim([X_MIN X_MAX])
%ylim([Y_MIN Y_MAX])
daspect([cosd(mean(lat(:,1,1)))*1, 1, 1.1118e5])
camlight 
lighting gouraud
view(-10, 40);
view(0,90)
alpha(1)
hold on
size_D=size(D_MEAN_GRID)
h=surf(lon(:,:,Z_LVL_i),lat(:,:,Z_LVL_i),Z_LVL*ones(size_D(1),size_D(2)),D_MEAN_GRID(:,:,Z_LVL_i))
set(h,'EdgeColor','none')
col = jet(1024);
colormap(col)
colorbar
caxis([-CUT_OFF CUT_OFF])
if (0)
%     i=0;
%     for k=1:size_D(3);
%         junk=length(find(D_MEAN_GRID(:,:,k)>-1e10 & D_MEAN_GRID(:,:,k)<1e10));
%         if (junk>0);
%             i=i+1;
%             kkeep(i)=k;          
%         end;
%     end;
    out=[lat(:) lon(:) Z_G(:) D_MEAN_GRID(:)];
    fid=fopen('Flinders_density_inversion.xyzd','w');
    fprintf(fid,'%10.4f %10.4f %6.0f %7.4f\n',out');
    fclose(fid);
end;
%alpha(.2)


