function [MEAN_GRID]=nanmean3Dx3(j, k, l)

j_flag=find(isnan(j)==1);
k_flag=find(isnan(k)==1);
l_flag=find(isnan(l)==1);

MEAN_GRID=(j+k+l)/3;

for num_m=1:3
    switch num_m
        case 1
            bad_flag=j_flag;
            good_1=k;
            good_2=l;
        case 2
            bad_flag=k_flag;
            good_1=l;
            good_2=j;
        case 3
            bad_flag=l_flag;
            good_1=j;
            good_2=k;
    end

    i=[];
    
    for i=1:length(bad_flag);
        if(isnan(good_1(bad_flag(i)))==1 && isnan(good_2(bad_flag(i)))==1)
            MEAN_GRID(bad_flag(i))=NaN;
        elseif(isnan(good_1(bad_flag(i)))==1 && isnan(good_2(bad_flag(i)))==0)
            MEAN_GRID(bad_flag(i))=good_2(bad_flag(i));
        elseif(isnan(good_1(bad_flag(i)))==0 && isnan(good_2(bad_flag(i)))==1)
            MEAN_GRID(bad_flag(i))=good_1(bad_flag(i));
        elseif(isnan(good_1(bad_flag(i)))==0 && isnan(good_2(bad_flag(i)))==0)
            MEAN_GRID(bad_flag(i))=(good_1(bad_flag(i))+good_2(bad_flag(i)))/2;
        end
    end
    
    bad_flag=[];
    good_1=[];
    good_2=[];
    
end