%=========================================================================
% Resets age of northern M. Kea to capture Kohala's rift zone
%=========================================================================

clear
rr=1.6178;
xc=-155.0; yc=21.48;
haw=load('../data/hawaii_with_utm.txt');
tmp=load('../data/Volcano_ages.txt'); 
r=sqrt((tmp(:,1)-xc).^2+(tmp(:,2)-yc).^2);
i2=find(tmp(:,3)==0.48);
ii=find(r<rr & tmp(:,2)< 20.4);
lona=tmp(ii,1); lata=tmp(ii,2);

load junk1

figure(1); clf;
plot(haw(:,1),haw(:,2),'k-'); hold on;
plot(lona,lata,'.');
plot(tmp(i2,1),tmp(i2,2),'r.')
plot(junk1(:,1), junk1(:,2),'k.')
xc=-155.0; yc=21.48;
xr=-155.48; yr=19.935;
plot([xc xr],[yc yr],'ro');

rr=sqrt((xc-xr).^2+(yc-yr).^2);
thet=[0:45];
x0=-rr.*sind(thet)+xc;
y0=-rr.*cosd(thet)+yc;
plot(x0,y0,'r');
axis equal

tmp(ii,3)=0.48;
fid=fopen('../data/Volcano_ages_hidden_Kohala.txt','w');
fprintf(fid,'%10.6f %10.6f %5.2f \n',tmp');
fclose(fid);
